import asyncio

import pytest
from aiohttp import ClientSession

from aiopywttr import Wttr


@pytest.mark.asyncio()
async def test_validation() -> None:
    async with ClientSession() as session:
        wttr = Wttr("New York", session=session)
        await asyncio.gather(
            wttr.en(),
            wttr.af(),
            wttr.am(),
            wttr.ar(),
            wttr.az(),
            wttr.be(),
            wttr.bg(),
            wttr.bn(),
            wttr.bs(),
            wttr.ca(),
            wttr.cs(),
            wttr.cy(),
            wttr.da(),
            wttr.de(),
            wttr.el(),
            wttr.eo(),
            wttr.es(),
            wttr.et(),
            wttr.eu(),
            wttr.fa(),
            wttr.fi(),
            wttr.fr(),
            wttr.fy(),
            wttr.ga(),
            wttr.he(),
            wttr.hi(),
            wttr.hr(),
            wttr.hu(),
            wttr.hy(),
            wttr.ia(),
            wttr.id(),
            wttr.is_(),
            wttr.it(),
            wttr.ja(),
            wttr.jv(),
            wttr.kk(),
            wttr.ko(),
            wttr.lt(),
            wttr.lv(),
            wttr.mg(),
            wttr.mk(),
            wttr.mr(),
            wttr.nb(),
            wttr.nl(),
            wttr.nn(),
            wttr.oc(),
            wttr.pl(),
            wttr.pt_br(),
            wttr.pt(),
            wttr.ro(),
            wttr.ru(),
            wttr.sk(),
            wttr.sl(),
            wttr.sr_lat(),
            wttr.sr(),
            wttr.sv(),
            wttr.ta(),
            wttr.te(),
            wttr.th(),
            wttr.tr(),
            wttr.uk(),
            wttr.uz(),
            wttr.vi(),
            wttr.zh_cn(),
            wttr.zh_tw(),
            wttr.zh(),
            wttr.zu(),
        )
